import * as React from 'react';
export declare type Props = {
    chart: any;
    xAxis: any;
    color: any;
};
declare type Range = {
    start: number;
    end: number;
};
export declare type State = {
    show: boolean;
    top: number;
    left: number;
    chart: any;
    axises: any;
    range: Range;
};
/**
 * @class AmchartsReact
 *
 */
export default class AmchartsReact extends React.Component<Props, State> {
    state: {
        show: boolean;
        top: number;
        left: number;
        chart: {};
        axises: any[];
        range: {
            start: number;
            end: number;
        };
    };
    /**
     * After component will be mounted this method will be invoked
     *
     */
    componentDidMount(): void;
    /**
     * Create a axis range according to the range in the given axis
     *
     * @param axis - x axis to know the position
     * @param {Range} range - range of the axis range
     * @param xAxis - On this axis the axis range will be created
     */
    createAxisRange: (axis: any, range: Range, xAxis: any) => void;
    /**
     * Change the default cursor behavior to "selectX" from "zoomX"
     * And create a axis range on the range after "selectended"
     *
     * @param chart
     */
    cursorBehaviorChangeHandler: (chart: any) => void;
    /**
     * handles the zoom after the zoom context menu is clicked by user
     *
     */
    handleZoom: () => void;
    /**
     * Renders this React component
     *
     * @returns {any}
     */
    render(): JSX.Element;
}
export {};
